View Issue Details

IDProjectCategoryView StatusLast Update
0006903Talermerchant backend API (C)public2021-09-02 18:22
Reportersebasjm Assigned ToChristian Grothoff  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006903: merchant backend transfer block if the amount is invalid
Descriptionif the request to notify a transfer with correct wtid but different credit amount (like an extra digit) the request will block indefinitely

this api
https://docs.taler.net/core/api-merchant.html#post-[-instances-$INSTANCE]-private-transfers

response should be 409.

also, subsequent request with the correct credit amount will block. making the merchant unable to notify the transfer with any other request


TagsNo tags attached.

Activities

sebasjm

2021-06-16 05:48

developer   ~0017956

test added in 9b2eae57..1fa77379

the test is made to show the later consequence which is more important

Christian Grothoff

2021-06-16 22:17

manager   ~0017958

Finally fixed: 1fa7737..23b4c5e

Related Changesets

merchant: master 1fa77379

2021-06-16 05:42:13

sebasjm

Details Diff
issue 0006903 Affected Issues
0006903
mod - src/testing/test_merchant_order_creation.sh Diff File

Issue History

Date Modified Username Field Change
2021-06-16 05:44 sebasjm New Issue
2021-06-16 05:44 sebasjm Status new => assigned
2021-06-16 05:44 sebasjm Assigned To => Christian Grothoff
2021-06-16 05:48 sebasjm Note Added: 0017956
2021-06-16 22:17 Christian Grothoff Status assigned => resolved
2021-06-16 22:17 Christian Grothoff Resolution open => fixed
2021-06-16 22:17 Christian Grothoff Fixed in Version => 0.9
2021-06-16 22:17 Christian Grothoff Note Added: 0017958
2021-06-16 22:17 Christian Grothoff Target Version git (master) => 0.9
2021-07-30 13:57 Christian Grothoff Fixed in Version 0.9 => 0.8.1
2021-07-30 13:59 Christian Grothoff Target Version 0.9 => 0.8.1
2021-07-30 14:02 Christian Grothoff Fixed in Version 0.8.1 => 0.8
2021-07-30 14:02 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:22 Christian Grothoff Status resolved => closed
2021-09-02 18:22 sebasjm Changeset attached => Taler-merchant master 1fa77379